# Choix de l'objectif pour l'appareil photo

## Introduction 

L'appareil photo nous a été donné tel quel, sans objectif. Or, sans objectif, l'appareil photo ne peut pas prendre de photos, il n'y a que du bruit à l'image.

Le choix des paramètres de l'objectif s'est fait avec l'aide de Julien Chapel, qui nous a aidé grâce à ses connaissances en photo.

## Données du problème :

Distance entre l'appareil et les arbres : 300 m
Nous savons qu'il y a besoin de pouvoir distinguer une feuille ou un rameau.

## Paramètres à déterminer pour avoir l'objectif :

- longueur focale
- distance minimale de mise au point
- zoom ou focale fixe

## Calculs :

$\alpha$: lens angle of the field of view
d: distance between our system and trees
$t_f$ : taille d'une feuille (en m). Ici, on prend 5,5 cm (donc $5,5*10^{-2}$)
$t_p$ : taille de l'image (en pixels). Ici, on estime que l'image fait 1024 pixels.

According to the trigonometric formulas: $\alpha=arctan(\frac{t_f*t_p}{d})=10,6°$

Angle of view (diagonal) per focal length 
 
![schéma explicatif](./Images%20et%20sch%C3%A9mas/Sch%C3%A9ma%20calcul%20objectif.jpg)

According to the graph above, we should choose a lens between 100 and 200 mm. The smaller the angle of view (high focal length), the greater the magnification (long focal lengths will give the impression of being closer to the scene captured).
Our goal is not to visualize each leaf but each branch so a lens with a focal length of 175 mm will be sufficient for our project.
We have therefore selected this objective:
https://www.m43lenses.com/panasonic-45-175mm-f4-5.6/

...

## Choix final

Notre choix s'est porté sur cet objectif : [*Panasonic Lumix G Vario 45-150mm f/4-5.6 ASPH Mega OIS*](https://www.mpb.com/fr-fr/produit/panasonic-lumix-g-vario-45-150mm-f-4-5-6-asph-mega-ois).
Cet objectif a une distance focale pouvant aller de 45 à 150 mm.
